@echo off
::
:: Create TWAINDSM.zip v1.0
:: Create the TWAINDSM.zip file that is sent to the TWAIN
:: administrator for signing...
::

::
:: Make sure we have 7zip installed...
::
echo Make sure 7zip is installed.
if not exist "c:\Program Files\7-Zip\7z.exe" (
	echo Please install 7zip.
	pause
	goto:EOF
)

::
:: Make sure we have our TWAINDSM folder properly set up...
::
echo Check for the 32-bit DSM: TWAINDSM\32\TWAINDSM.DLL
if not exist TWAINDSM\32\TWAINDSM.DLL (
	echo Couldn't find the TWAINDSM\32\TWAINDSM.DLL file.
	pause
	goto:EOF
)
if not exist TWAINDSM\64\TWAINDSM.DLL (
	echo Couldn't find the TWAINDSM\64\TWAINDSM.DLL file.
	pause
	goto:EOF
)

::
:: Initialize...
::
echo Initialize this folder.
if exist TWAINDSM.zip (
	del /f /q TWAINDSM.zip >NUL
)

::
:: Zip up the folder...
::
echo Zip up the signed files into TWAINDSM_Signed.zip.
"c:\Program Files\7-Zip\7z" a "TWAINDSM.zip" -ptwg "TWAINDSM" >NUL

echo.
echo.
echo **************************************************************
echo * Zipping was successful!                                    *
echo * Please send the TWAINDSM.zip file to whoever will sign it. *
echo **************************************************************
pause